@echo off
%~d0
CD %~dp0

echo.
echo Microsoft Visual C++ All-In-One Runtimes
echo.
echo Installing runtime packages...

echo 2013...
start /wait vcredist2013_x86.exe /passive /norestart
start /wait vcredist2013_x64.exe /passive /norestart

echo 2015, 2017 ^& 2019...
start /wait vcredist2015_2017_2019_x86.exe /passive /norestart
start /wait vcredist2015_2017_2019_x64.exe /passive /norestart

echo .NET Framework v4.8...
start "" "ndp48-web .NET Framework v4.8.exe"
echo Finish installing v4.8 before continuing.
pause

echo .NET Framework v4.6...
start "" "ndp46-web .NET Framework v4.6.exe"
echo Finish installing v4.6 before continuing.
pause

echo.
echo Installation completed successfully
pause